/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* Constants and types for TEK window */

#define ViewSizeX 4096
#define ViewSizeY 3120

#define CurWidth 2

#define CM_TEKFILEPRINT 1110
#define CM_TEKFILEEXIT 1190
#define CM_TEKEDITCOPY 24321
#define CM_TEKEDITPASTE 24322
#define CM_TEKEDITPASTECR 230
#define CM_TEKEDITCOPYSCREEN 1210
#define CM_TEKEDITCLEARSCREEN 1220
#define CM_TEKEDITPASTECR 230
#define CM_TEKSETUPWINDOW 1310
#define CM_TEKSETUPFONT 1320
#define CM_TEKVTWIN 1410
#define CM_TEKHELPINDEX 910
#define CM_TEKHELPUSING 920
#define CM_TEKABOUT 990
#define CM_TEKSHOWMENUBAR 995

#define IdTEKIcon 300
#define Id_TEKMenu 200

#define IdAlphaMode 0
#define IdVectorMode 1
#define IdPlotMode 2
#define IdUnknownMode 3

#define ModeFirst 0
#define ModeEscape 1
#define ModeSelectCode 2
#define Mode2OC 3

#define IdUnknown2OC 0
// "LF" 
#define IdMove 0x4C46
// "LG"
#define IdDraw 0x4C47
// "ML"
#define IdSetLineIndex 0x4D4C
// "MT"
#define IdSetTextIndex 0x4D54
// "MV"
#define IdSetLineStyle 0x4D56

typedef struct {
  HWND HWin;
  HMENU MainMenu, EditMenu, PopupMenu, PopupBase;

  BOOL Drawing;
  int ParseMode;
  int SelectCodeFlag;

  LOGFONT TEKlf;
  HFONT TEKFont[4];
  HFONT OldMemFont;
  int Dx[2];
  BOOL AdjustSize, ScaleFont;
  int ScreenWidth, ScreenHeight;
  int FontWidth, FontHeight;
  int FW[4], FH[4];
  int CaretX, CaretY;
  int CaretOffset;
  int TextSize;
  int DispMode;
  BYTE HiY, Extra, LoY, HiX, LoX;   
  HDC MemDC;
  HBITMAP HBits, OldMemBmp;
  BOOL Active, Minimized, MoveFlag;
  RECT R;
  COLORREF TextColor, PenColor;
  COLORREF MemForeColor, MemBackColor, MemTextColor, MemPenColor;
  HBRUSH BackGround, MemBackGround;
  HPEN Pen, MemPen, OldMemPen;
  int ps;
  int ChangeEmu;
  int CaretStatus;

  BOOL ButtonDown, Select, RubberBand;
  POINT SelectStart, SelectEnd;

  BOOL GIN, CrossHair;
  int IgnoreCount;
  int GINX, GINY;

  /* flags for Drawing */
  BOOL LoXReceive;
  int LoCount;
  BYTE LoA, LoB;

  /* variables for 2OC mode */
  int OpCount, PrmCount, PrmCountMax;
  WORD Op2OC;
  WORD Prm2OC;

  /* plot mode */
  BOOL JustAfterRS, PenDown;
  int PlotX, PlotY;
} TTEKVar;
typedef TTEKVar *PTEKVar;

