// vtwin.h

// Define a window class derived from CFrameWnd
class CVTWindow : public CFrameWnd
{ 
private:
  BOOL FirstPaint;
  HMENU MainMenu, FileMenu, TransMenu, EditMenu,
    SetupMenu, ControlMenu;

public:
  /* constructor */
  CVTWindow();
  LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
  void ButtonDown(POINT p, int LMR);
  void InitMenu(HMENU *Menu);
  void InitMenuPopup(HMENU SubMenu);
  void ResetSetup();

  void CMFileNewConnection();
  void CMFileDisconnect();
  void CMFileLog();
  void CMFileSend();
  void CMFileKermitRcv();
  void CMFileKermitGet();
  void CMFileKermitSend();
  void CMFileKermitFinish();
  void CMFileXRcv();
  void CMFileXSend();
  void CMFileZRcv();
  void CMFileZSend();
  void CMFileBPRcv();
  void CMFileBPSend();
  void CMFileQVRcv();
  void CMFileQVSend();
  void CMFileChangeDir();
  void CMFilePrint();
  void CMFileExit();
  void CMEditCopy();
  void CMEditPaste();
  void CMEditPasteCR();
  void CMEditClearScreen();
  void CMEditClearBuffer();
  void CMSetupTerminal();
  void CMSetupWindow();
  void CMSetupFont();
  void CMSetupKeyboard();
  void CMSetupSerialPort();
  void CMSetupTCPIP();
  void CMSetupGeneral();
  void CMSetupSave();
  void CMSetupRestore();
  void CMControlResetTerminal();
  void CMControlAreYouThere();
  void CMControlSendBreak();
  void CMControlResetPort();
  void CMControlOpenTEK();
  void CMControlCloseTEK();
  void CMControlMacro();
  void CMHelpIndex();
  void CMHelpUsing();
  void CMHelpAbout();
  
  //{{AFX_MSG( CMainWindow )
  afx_msg void OnActivate
    (UINT nState, CWnd* pWndOther, BOOL bMinimized);
  afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnClose();
  afx_msg void OnDestroy();
  afx_msg void OnDropFiles(HDROP hDropInfo);
  afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
  afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
  afx_msg void OnInitMenuPopup
    (CMenu* pPopupMenu,UINT nIndex, BOOL bSysmenu);
  afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
  afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
  afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
  afx_msg void OnMButtonDown(UINT nFlags, CPoint point);
  afx_msg void OnMButtonUp(UINT nFlags, CPoint point);
  afx_msg void OnMouseMove(UINT nFlags, CPoint point);
  afx_msg void OnMove(int x, int y);
  afx_msg void OnNcLButtonDblClk(UINT nHitTest, CPoint point);
  afx_msg void OnNcRButtonDown(UINT nHitTest, CPoint point);
  afx_msg void OnPaint();
  afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
  afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
  afx_msg void OnSize(UINT nType, int cx, int cy);
  afx_msg void OnSysChar(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
  afx_msg void OnSysKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnSysKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnTimer(UINT nIDEvent);
  afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

  afx_msg LONG OnIMEReport(UINT wParam, LONG lParam);
  afx_msg LONG OnAccelCommand(UINT wParam, LONG lParam);
  afx_msg LONG OnChangeMenu(UINT wParam, LONG lParam);
  afx_msg LONG OnCloseIME(UINT wParam, LONG lParam);
  afx_msg LONG OnComNotify(UINT wParam, LONG lParam);
  afx_msg LONG OnComOpen(UINT wParam, LONG lParam);
  afx_msg LONG OnComStart(UINT wParam, LONG lParam);
  afx_msg LONG OnDlgHelp(UINT wParam, LONG lParam);
  afx_msg LONG OnDdeEnd(UINT wParam, LONG lParam);
  //}}AFX_MSG

  DECLARE_MESSAGE_MAP()
};

